> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.schoolset.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.schoolset.io/_mcp/server.

# Create an address

POST https://ssuccessv2.com/app/api/v1/address/create
Content-Type: application/json

Creates an address in the active school and optionally attaches it to students, parents, relatives, emergency contacts, or staff members.

Reference: https://docs.schoolset.io/api-reference/school-set-api/addresses/create-address

## Authentication

- `Authorization` header (bearer token, required) — The signed-in SchoolSet user token sent by the frontend.

## Request

### Body (application/json)

This endpoint expects an object.

- `components` (list of any, required) — Address-provider components.
- `formatted` (string, required)
- `latitude` (double, required)
- `longitude` (double, required)
- `tag` (string, optional, nullable)
- `students_id` (list of integer, optional, nullable)
- `parents_id` (list of integer, optional, nullable)
- `relatives_id` (list of integer, optional, nullable)
- `emergency_contacts_id` (list of integer, optional, nullable)
- `staff_members_id` (list of integer, optional, nullable)

## Response

### 200

Address created.

- `status` (string, required)
- `message` (string, required)
- `data` (ApiV1AddressCreatePostResponsesContentApplicationJsonSchemaData, required)

## Errors

### 401 Unauthorized Error

Unauthenticated.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 422 Unprocessable Entity Error

Validation failed.

- `message` (string, required)
- `errors` (map from string to list of string, required)

## Types

### ApiV1AddressCreatePostResponsesContentApplicationJsonSchemaData

- `id` (integer, required)
- `components` (list of any, required)
- `splitted` (list of any, required)
- `formatted` (string, required)
- `longitude` (double, required)
- `latitude` (double, required)
- `custom_longitude` (double, required, nullable)
- `custom_latitude` (double, required, nullable)
- `original_longitude` (double, required, nullable)
- `original_latitude` (double, required, nullable)
- `tag` (string, required, nullable)

## Examples

**Request**

```json
{
  "components": [],
  "formatted": "1200 Main Street, Springfield, NY 10001",
  "latitude": 40.7128,
  "longitude": -74.006,
  "tag": "Home",
  "students_id": [
    501
  ]
}
```

**Response**

```json
{
  "status": "success",
  "message": "Saved successfully.",
  "data": {
    "id": 8801,
    "components": [],
    "splitted": [],
    "formatted": "1200 Main Street",
    "longitude": -74.006,
    "latitude": 40.7128,
    "custom_longitude": null,
    "custom_latitude": null,
    "original_longitude": null,
    "original_latitude": null,
    "tag": "Home",
    "Springfield": null,
    "NY 10001": null
  }
}
```

**SDK Code**

```python Addresses_createAddress_example
import requests

url = "https://ssuccessv2.com/app/api/v1/address/create"

payload = {
    "components": [],
    "formatted": "1200 Main Street, Springfield, NY 10001",
    "latitude": 40.7128,
    "longitude": -74.006,
    "tag": "Home",
    "students_id": [501]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Addresses_createAddress_example
const url = 'https://ssuccessv2.com/app/api/v1/address/create';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"components":[],"formatted":"1200 Main Street, Springfield, NY 10001","latitude":40.7128,"longitude":-74.006,"tag":"Home","students_id":[501]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Addresses_createAddress_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://ssuccessv2.com/app/api/v1/address/create"

	payload := strings.NewReader("{\n  \"components\": [],\n  \"formatted\": \"1200 Main Street, Springfield, NY 10001\",\n  \"latitude\": 40.7128,\n  \"longitude\": -74.006,\n  \"tag\": \"Home\",\n  \"students_id\": [\n    501\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Addresses_createAddress_example
require 'uri'
require 'net/http'

url = URI("https://ssuccessv2.com/app/api/v1/address/create")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"components\": [],\n  \"formatted\": \"1200 Main Street, Springfield, NY 10001\",\n  \"latitude\": 40.7128,\n  \"longitude\": -74.006,\n  \"tag\": \"Home\",\n  \"students_id\": [\n    501\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java Addresses_createAddress_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://ssuccessv2.com/app/api/v1/address/create")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"components\": [],\n  \"formatted\": \"1200 Main Street, Springfield, NY 10001\",\n  \"latitude\": 40.7128,\n  \"longitude\": -74.006,\n  \"tag\": \"Home\",\n  \"students_id\": [\n    501\n  ]\n}")
  .asString();
```

```php Addresses_createAddress_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://ssuccessv2.com/app/api/v1/address/create', [
  'body' => '{
  "components": [],
  "formatted": "1200 Main Street, Springfield, NY 10001",
  "latitude": 40.7128,
  "longitude": -74.006,
  "tag": "Home",
  "students_id": [
    501
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Addresses_createAddress_example
using RestSharp;

var client = new RestClient("https://ssuccessv2.com/app/api/v1/address/create");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"components\": [],\n  \"formatted\": \"1200 Main Street, Springfield, NY 10001\",\n  \"latitude\": 40.7128,\n  \"longitude\": -74.006,\n  \"tag\": \"Home\",\n  \"students_id\": [\n    501\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Addresses_createAddress_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "components": [],
  "formatted": "1200 Main Street, Springfield, NY 10001",
  "latitude": 40.7128,
  "longitude": -74.006,
  "tag": "Home",
  "students_id": [501]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://ssuccessv2.com/app/api/v1/address/create")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```